Generate short-form video
curl --request POST \
--url https://www.citedy.com/api/agent/shorts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"avatar_url": "<string>",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution": "480p",
"aspect_ratio": "9:16",
"speech_text": "<string>"
}
'import requests
url = "https://www.citedy.com/api/agent/shorts"
payload = {
"prompt": "<string>",
"avatar_url": "<string>",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution": "480p",
"aspect_ratio": "9:16",
"speech_text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
avatar_url: '<string>',
article_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
resolution: '480p',
aspect_ratio: '9:16',
speech_text: '<string>'
})
};
fetch('https://www.citedy.com/api/agent/shorts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "generating",
"video_url": "<string>",
"credits_charged": 1,
"estimated_seconds": 2
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Video (Shorts)
Generate short-form video
Starts short-form video generation and returns immediate processing status for polling.
POST
/
api
/
agent
/
shorts
Generate short-form video
Authorizations
Bearer citedy_agent_* key
Body
application/json
Required string length:
10 - 2000Available options:
5, 10, 15 Optional article ID. When provided, shorts_video_url is saved to article metadata on completion.
Available options:
480p, 720p Available options:
9:16, 16:9, 1:1 Required string length:
5 - 1000Response
Generation accepted. Poll GET /api/agent/shorts/{id} with the same Authorization: Bearer <AGENT_API_KEY> header for status.
⌘I
